[Numpy-discussion] numpy build fails on powerpc ydl

Travis E. Oliphant oliphant@enthought....
Fri Aug 31 14:22:06 CDT 2007


Vincent Broman wrote:
> My build of numpy fails under Yellow Dog Linux 2.1,
> running on a powerpc multiprocessor board from Curtiss-Wright.
>
> Its kernel is 2.4.19-Asmp tailored by the vendor.
> The gcc compiler is configured as ppc-yellowdog-linux with
> version number 2.95.3 20010111.
> The python I'm using is Python 2.5.1 (r251:54863) installed as python2.
> Plain /usr/bin/python is 1.5.x .
> The numpy version I'm trying to build is r4003 for v1.0.4 .
>
> The setup fails compiling build/src.linux-ppc-2.5/numpy/core/src/umathmodule.c
> with a long list of error messages of the following two kinds.
>
> warning: conflicting types for built-in function `sinl'
> repeated for `cosl', `fabsl', and `sqrtl', triggered by line 442.
>   

You may be the first one to build on this platform.  What needs to 
happen is that the correct config.h file needs to be set up for that 
platform.   The long-float versions of certain functions are being 
incorrectly identified.

Would you be willing to help get the config.h file set up correctly?

-Travis



More information about the Numpy-discussion mailing list